Page MenuHomePhabricator

Add auto-suggest to Special:PageAssessments form fields
Closed, ResolvedPublic1 Story Points

Description

The project and page fields should support auto-suggesting on Special:PageAssessments (similar to the main search bar).

Event Timeline

kaldari created this task.Dec 9 2016, 2:54 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 9 2016, 2:54 AM
kaldari moved this task from Untriaged to Epic backlog on the Community-Tech board.Dec 9 2016, 2:54 AM
Samwilson added a subscriber: Samwilson.

Is there an OOJS-UI autocompletion widget? Or is it okay to just use jQuery UI?

Probably not a good idea to use jQuery UI. Not sure what other forms are using, actually...

Change 326894 had a related patch set uploaded (by Samwilson):
Add autocompletion to search fields

https://gerrit.wikimedia.org/r/326894

kaldari set the point value for this task to 1.Dec 13 2016, 11:16 PM
DannyH triaged this task as Normal priority.Dec 13 2016, 11:16 PM
DannyH moved this task from Ready to In Development on the Community-Tech-Sprint board.

Change 326894 merged by jenkins-bot:
Add autocompletion to search fields

https://gerrit.wikimedia.org/r/326894

kaldari closed this task as Resolved.Dec 15 2016, 10:23 PM
kaldari moved this task from In Development to Q1 2018-19 on the Community-Tech-Sprint board.
DannyH moved this task from Epic backlog to Archive on the Community-Tech board.Dec 20 2016, 9:37 PM